$(function () {

    $('header nav').meanmenu({

        meanMenuContainer: 'header .place-nav',

        meanMenuOpen: "<i class='icon-menu'></i>",

        meanMenuClose: "<i class='icon-plus'></i>",

        meanScreenWidth: 950,

        meanDisplay: "block"

    });



    $("nav a[href^='https']").attr("target","_blank");

    $("a[name]").parent().addClass('has_target');

    $("#page h1, h2#append").appendTo("#page-title");

    $("#page .page-divider").parent("#page").addClass('has_divider');

    $(".internal .more-to-explore").appendTo(".internal");



    ///////////// global variables

    var theWindow = $(window),

        body = $("body"),

        header = $("header"),

        headerBottom = $("header").outerHeight(),

        stickyBottom = $("header #hd-top").outerHeight();



    /////////////// resize options

    $(window).on('resize', function () {

        $("body").css('padding-top', $("header").outerHeight());

        $(".mean-container .mean-nav").css('bottom', $("#fixed-tabs").outerHeight());

        if ($(window).width() <= 1030) {

            $("footer").css('padding-bottom', $("#fixed-tabs").outerHeight());

        }

    }).trigger('resize');



    /////////////// fixed header with animated in on desktop and attach on mobile

    theWindow.on("scroll", function () {

        if (theWindow.width() > 950) {

            if (theWindow.scrollTop() >= headerBottom) {

                body.addClass("fix-nav");

                header.addClass("animated slideInDown");

            } else if (theWindow.scrollTop() <= headerBottom) {

                body.removeClass("fix-nav");

                header.removeClass("animated slideInDown");

            }

        }



        if (theWindow.width() < 951) {

            if (theWindow.scrollTop() >= headerBottom) {

                body.addClass('attach');

            } else if (theWindow.scrollTop() <= headerBottom) {

                body.removeClass('attach');

            }

        }

    });



    if ($(window).width() <= 950) {

        $("footer .social").clone().addClass("flex-row").prependTo(".mean-container .mean-nav");

        $("footer .hours").clone().appendTo(".mean-container .mean-nav");

    }



    if ($(window).width() > 751) {

        $("#testimonials > div").cycle();

    }





    // $("body").on("click",".modal-content .modal-close",function(){

    //     $(this).parent().find('.fluid-vid iframe').attr('src', ($(this).parent().find('.fluid-vid iframe').attr('src').replace('&autoplay=1','') ));

    //     return false;

    // });





});   // end of top-most function







/////////////// convert items to slider in mobile

$(function () {

    var theWindow = $(window);





    ////////////////////////////// FAQ / Accordion

    $(".accordion h3, .accordion h2").addClass("toogle");

    $(".toogle").each(function () {

        $(this).nextUntil('.toogle').add().wrapAll('<div>');

    });

    $(".toogle").on("click", function () {

        if ($(this).hasClass("active")) {

            $(this).removeClass("active").next().slideUp();

        } else {

            $(".toogle").removeClass("active").next().slideUp();

            $(this).addClass("active").next().slideDown();

            for (var i = 0; i < $('.accordion iframe').length; i++) {

                $('.accordion iframe')[i].contentWindow.postMessage('{"event":"command","func":"' + 'stopVideo' + '","args":""}', '*');

            }

        }

    });





    $("#banner[data-player]").tntvideos({

        playButton: '.play',

        closeButton: '.close',

        bodyPlaying: null,

        mobileWidth: 1000,

        animate: false,

         mobileAppendPlay: '#banner article',

        closeButtonString: '<button class="close" aria-label="close video"><i class="icon-plus"></i> Close Video</button>'

    });





    ////////////////////////////// page divider

    var dividerStart = "> h2, .page-divider .wrap",

        mobileWidth = 1000;

    $.when(setupServices()).done(function () {});

       function setupServices() {



        $(".page-divider " + dividerStart)

            .addClass("dividerLead").each(function () { //auto wrap

                $(this)

                    .nextUntil('.dividerLead')

                    .addBack()

                    .wrapAll('<div class="block">');

        });



         $(".block").each(function (index) {

                   $(this)

                       .find('.dividerLead')

                       .next(".elem")

                       .addClass('wow fadeIn')

                       .addClass(index % 2 ? 'elem-left' : 'elem-right')

                    // move .elem above H2

                   if ($(window).width() >= mobileWidth) {

                       $(this).children(".elem").insertBefore($(this).children(".dividerLead"));

                   }

               })







///////////// move anchors to top of blocks

           $(".page-divider a[name]").each(function () {

            var getAnchor = $(this).parent(".has_target"),

                anchorTarget = $(this).parentsUntil(".page-divider").next().find(".dividerLead").parent();

            getAnchor.remove();

            $(this).prependTo(anchorTarget);

        });



///////////// wraps text & .btn in article after .block .elem

       $(".block .elem + *, .block .wrap").each(function () { //auto wrap

           $(this).nextUntil('.block').addBack().wrapAll('<article>');

       });





       /// for flexing inside .blocks

       $(".block .elem").each(function () { //auto wrap

           $(this).nextUntil('.block').addBack().wrapAll('<div>').parent().addClass('contain');

       });



    }



    $(".block [class^='btn']").parent("p").addClass('has_btn');





///////// make mini-blocks for h3 inside divider blocks

    $(".page-divider h3").each(function() {

        $(this).nextUntil('h3, .dividerLead').addBack().wrapAll('<div>')

        .parent().addClass("mini-block")

    });

    $(".mini-block").each(function (index) {

        $(this)

            .find('h3')

            .next(".elem-sm")

            .addClass('elem-left')

        if ($(window).width() >= mobileWidth) {

            $(this).children(".elem-sm").insertBefore($(this).children("h3"));

        }

    })



////////  If no image insided block to change styles

     $('.block').each(function() {

         if (!$(this).find('.elem').length) {

           ($(this).addClass('no_img'))

         }

     });

     

     $('.block').each(function() {

        if ($(this).find('.mini-block').length) {

          ($(this).addClass('has_h3'))

        }

    });





    $(".block.no_img .dividerLead").each(function () { //auto wrap

        $(this).nextUntil('.block').addBack().wrapAll('<article>');

    });



    ////////////  Add flex to .top img/video + text before page-dividers

    $("#page > p:first-of-type").each(function() {

        $(this).nextUntil("div, h1, h2, h3, form").addBack().wrapAll("<article class='top'>")

    });



////////////  Add flex to .top img/video + text before page-dividers

    $(".main-img").each(function() {

        $(this).next("article").addBack().wrapAll("<div>")

            .parent().addClass("flex-ed-top")

            

    });





    

    if ($(window).width() > 1000) {

        $("#page-title").prependTo(".flex-ed-top article")

        $(".meet-dr .flex-ed-top").prependTo(".internal")

    }

    if(theWindow.width() > 490){



        $("#review-rotation").cycle({

            slides: "> article",

            fx: "carousel",

            carouselVisible: "1",

            pager: "#reviews .pager",

            prev: "#reviews #prev",

            next: "#reviews #next",

            timeout: "60000"

        })

    

      } else{

    

        $("#review-rotation").cycle({

          slides: ">article",

          fx: "fade",

          pager: "#reviews .pager",

          prev: "#reviews #prev",

          next: "#reviews #next",

          timeout: "6000",

        })

      }

    

    $( ".why ul li" ).wrapInner( "<span></span>");



});





$(document).ready(function() {

    if(window.location.hash) {

	var tag = $('a[name=' + window.location.hash.substring(1) +']')

	$(tag)[0].scrollIntoView();

    }

});



//section accordion

    $(".section-toggle>button").on("click", function () {

        if ($(this).hasClass("active")) {

            $(this).removeClass("active").next("div").slideUp();

        } else {

            $(this).addClass("active").next("div").slideDown();

        }

    });
